> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出钱包交易

> 列出计费交易

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json GET /v1/public/accounts/{account_id}/billing/transactions
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/transactions:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: 列出计费交易
      description: 使用简化的公共 DTO 列出帐户钱包交易。
      operationId: >-
        list_public_billing_transactions_v1_public_accounts__account_id__billing_transactions_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWalletTransactionHistoryResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicWalletTransactionHistoryResponse:
      properties:
        items:
          description: 本页面钱包交易
          items:
            $ref: '#/components/schemas/PublicWalletTransactionResponse'
          title: 项目
          type: array
        page:
          description: 当前从一开始的页码
          title: 页面
          type: integer
        page_size:
          description: 每页最大项目数
          title: 页面大小
          type: integer
        total:
          description: 匹配钱包交易总数
          title: 总计
          type: integer
      required:
        - page
        - page_size
        - total
      title: PublicWalletTransactionHistoryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    PublicWalletTransactionResponse:
      description: 带有面向客户的字段的公共钱包交易历史记录条目。
      properties:
        amount:
          description: 交易金额
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: 金额
          type: string
        balance_after:
          anyOf:
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
            - type: 'null'
          description: 交易后钱包余额
          title: 平衡后
        currency:
          description: 钱包货币代码
          title: 货币
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: 交易说明
          title: 描述
        direction:
          description: 交易方向
          title: 方向
          type: string
        effective_at:
          description: 交易有效时间戳
          format: date-time
          title: 有效时间
          type: string
        status:
          description: 钱包交易状态
          title: 状态
          type: string
        transaction_id:
          description: 钱包交易UUID
          format: uuid
          title: 交易编号
          type: string
        type:
          description: 钱包交易类型
          title: 类型
          type: string
      required:
        - transaction_id
        - type
        - status
        - effective_at
        - amount
        - direction
        - currency
      title: PublicWalletTransactionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````